#-----------------------------------------------------------------------------	
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fwupd
Version		:	1.9.1
Release		:	14.4.0.0%{?dist}
Summary		:	Firmware update daemon
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/fwupd/fwupd

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	bash-completion
BuildRequires	:	efivar
BuildRequires	:	gcab-devel
BuildRequires	:	gi-docgen-doc
BuildRequires	:	gobject-introspection
BuildRequires	:	gnutls
BuildRequires	:	json-glib
BuildRequires	:	libjcat-devel
BuildRequires	:	libgudev
BuildRequires	:	libgusb-devel
BuildRequires	:	libusb
BuildRequires	:	libxmlb-devel
BuildRequires	:	make-ca
BuildRequires	:	meson
BuildRequires	:	noto-sans-cjk-fonts
BuildRequires	:	pango
BuildRequires	:	python3-markdown
BuildRequires	:	python3-pycairo
BuildRequires	:	python3-pygobject
BuildRequires	:	python3-toml
BuildRequires	:	python3-smartypants
BuildRequires	:	python3-typogrify
BuildRequires	:	python3-Jinja2
BuildRequires	:	pciutils
BuildRequires	:	vala
BuildRequires	:	valgrind-devel
#-----------------------------------------------------------------------------
%description
fwupd is a daemon to allow session software to update device firmware.
 
#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README.md
%license COPYING
%config(noreplace)%{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace)%{_sysconfdir}/%{name}/remotes.d/lvfs.conf
%config(noreplace)%{_sysconfdir}/%{name}/remotes.d/lvfs-testing.conf
%config(noreplace)%{_sysconfdir}/%{name}/remotes.d/vendor.conf
%config(noreplace)%{_sysconfdir}/%{name}/remotes.d/vendor-directory.conf
%config(noreplace)%{_sysconfdir}/grub.d/35_%{name}
%config(noreplace)%{_sysconfdir}/pki/%{name}/
%{_sysconfdir}/pki/%{name}-metadata/
%{_sysconfdir}/%{name}/bios-settings.d/README.md
%{_bindir}/fwupdmgr
%{_bindir}/fwupdtool
%{_bindir}/dbxtool
%{_libdir}/udev/rules.d/*.rules
%{_libdir}/lib%{name}.so.2*
%{_libdir}/%{name}-%{version}/lib%{name}*.so
%{_libdir}/girepository-1.0/Fwupd-2.0.typelib
%{_libexecdir}/%{name}/%{name}
%{_libexecdir}/%{name}/%{name}-detect-cet
%{_datadir}/dbus-1/interfaces/org.freedesktop.%{name}.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.%{name}.service
%{_datadir}/dbus-1/system.d/org.freedesktop.%{name}.conf
%{_datadir}/%{name}/add_capsule_header.py
%{_datadir}/%{name}/firmware_packager.py
%{_datadir}/%{name}/simple_client.py
%{_datadir}/%{name}/uefi-capsule-ux.tar.xz
%{_datadir}/%{name}/metainfo/org.freedesktop.%{name}*.metainfo.xml
%{_datadir}/%{name}/remotes.d/vendor/firmware/README.md
%{_datadir}/%{name}/quirks.d/builtin.quirk.gz
%{_datadir}/%{name}/install_dell_bios_exe.py
%{_datadir}/metainfo/org.freedesktop.%{name}.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.%{name}.svg
%{_datadir}/bash-completion/completions/%{name}mgr
%{_datadir}/bash-completion/completions/%{name}tool
%{_datadir}/fish/vendor_completions.d/%{name}mgr.fish
%{_defaultdocdir}/%{name}/*.html
%{_mandir}/man1/dbxtool.1.gz
%{_mandir}/man1/fwupdtool.1.gz
%{_mandir}/man1/fwupdmgr.1.gz
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man5/%{name}-remotes.d.5.gz

#=============================================================================
%package		devel
Summary		:	Development package for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files for development with %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1/%{name}.h
%{_includedir}/%{name}-1/lib%{name}/*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_defaultdocdir}/%{name}/lib%{name}
%{_defaultdocdir}/%{name}/lib%{name}plugin
%{_defaultdocdir}/lib%{name}/lib%{name}.devhelp2
%{_defaultdocdir}/lib%{name}/org.freedesktop.%{name}.svg
%{_defaultdocdir}/lib%{name}/*.css
%{_defaultdocdir}/lib%{name}/*.html
%{_defaultdocdir}/lib%{name}/*.js
%{_defaultdocdir}/lib%{name}/*.png
%{_defaultdocdir}/lib%{name}/index.json
%{_defaultdocdir}/lib%{name}plugin/*.css
%{_defaultdocdir}/lib%{name}plugin/*.html
%{_defaultdocdir}/lib%{name}plugin/*.js
%{_defaultdocdir}/lib%{name}plugin/*.png
%{_defaultdocdir}/lib%{name}plugin/*.svg
%{_defaultdocdir}/lib%{name}plugin/index.json
%{_defaultdocdir}/lib%{name}plugin/lib%{name}plugin.devhelp2
%{_datadir}/gir-1.0/Fwupd-2.0.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#=============================================================================
%package		tests
Summary		:	Data files for installed tests

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tests
Data files for installed tests.

#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%config(noreplace)%{_sysconfdir}/%{name}/remotes.d/%{name}-tests.conf
%{_libexecdir}/installed-tests/%{name}/*-test
%{_libexecdir}/installed-tests/%{name}/*%{name}.sh
%{_datadir}/%{name}/device-tests/*.json
%{_datadir}/%{name}/host-emulate.d/*.json.gz
%{_datadir}/installed-tests/%{name}/tests/*
%{_datadir}/installed-tests/%{name}/%{name}-tests.xml
%{_datadir}/installed-tests/%{name}/*.test
%{_datadir}/installed-tests/%{name}/*.cab
%{_datadir}/installed-tests/%{name}/*.sh
%{_datadir}/installed-tests/%{name}/*.zip
%{_datadir}/installed-tests/%{name}/efi
%{_datadir}/installed-tests/%{name}/chassis_type
%{_datadir}/installed-tests/%{name}/sys_vendor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D b_lto=false 					\
	-D systemd=disabled 				\
	-D docs=enabled					\
	-D plugin_intel_spi=true			\
	-D supported_build=enabled			\
	-D efi_binary=false				\
	_build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	-v						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
	-C _build

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _build				\
		install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
